Debian Bug report logs - #553431
Copyright file does not contain verbatim copy of the license or a pointer to one

version graph

Package: chasen-cannadic; Maintainer for chasen-cannadic is NOKUBI Takatsugu <knok@daionet.gr.jp>;

Reported by: Manoj Srivastava <srivasta@debian.org>

Date: Sat, 31 Oct 2009 09:39:02 UTC

Severity: serious

Tags: patch

Found in version 0.94h

Fixed in version mecab-cannadic/0.94h-2.1

Done: Michael Banck <mbanck@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, NOKUBI Takatsugu <knok@daionet.gr.jp>:
Bug#553431; Package chasen-cannadic. (Sat, 31 Oct 2009 09:39:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Manoj Srivastava <srivasta@debian.org>:
New Bug report received and forwarded. Copy sent to NOKUBI Takatsugu <knok@daionet.gr.jp>. (Sat, 31 Oct 2009 09:39:13 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Manoj Srivastava <srivasta@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Copyright file does not contain verbatim copy of the license or a pointer to one
Date: Sat, 31 Oct 2009 04:24:49 -0500
Package: chasen-cannadic
Version: 0.94h
Severity: serious
User: lintian-maint@debian.org
Usertags: copyright-lists-upstream-authors-with-dh_make-boilerplate

Hi,

        The copyright file should either have a verbatim copy of the
 license, or a statement that the license can be found in
 /usr/share/common-licenses on a Debian machine (and the FSF's address
 if they want toget the license from there.

        manoj

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'oldstable'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.31.4-anzu-2 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, NOKUBI Takatsugu <knok@daionet.gr.jp>:
Bug#553431; Package chasen-cannadic. (Wed, 04 Nov 2009 13:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to NOKUBI Takatsugu <knok@daionet.gr.jp>. (Wed, 04 Nov 2009 13:42:06 GMT) Full text and rfc822 format available.

Message #10 received at 553431@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 553431@bugs.debian.org, 553431-submitter@bugs.debian.org
Subject: Re: Copyright file does not contain verbatim copy of the license or a pointer to one
Date: Wed, 4 Nov 2009 00:25:54 -0800
[Message part 1 (text/plain, inline)]
Given that the copyright file states the following, it may not be obvious
what the bug is here:

  Almost components are licensed under GNU GPL2. See the file
  /usr/share/common-licenses/GPL2.

I see two issues here.  One is that the correct file is
/usr/share/common-licenses/GPL-2, so it's misspelled here and this should be
corrected.  The other is that the terms of the GPL require reproduction of a
standard warranty disclaimer, which appears to be absent.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Message sent on to Manoj Srivastava <srivasta@debian.org>:
Bug#553431. (Wed, 04 Nov 2009 13:42:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, NOKUBI Takatsugu <knok@daionet.gr.jp>:
Bug#553431; Package chasen-cannadic. (Fri, 27 Nov 2009 23:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Banck <mbanck@debian.org>:
Extra info received and forwarded to list. Copy sent to NOKUBI Takatsugu <knok@daionet.gr.jp>. (Fri, 27 Nov 2009 23:21:03 GMT) Full text and rfc822 format available.

Message #18 received at 553431@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: 553431@bugs.debian.org
Subject: Re: Copyright file does not contain verbatim copy of the license or a pointer to one
Date: Sat, 28 Nov 2009 00:19:36 +0100
[Message part 1 (text/plain, inline)]
Tags 553431 +patch +pending
thanks

Hi,

I am shortly going to NMU this bug with the attached patch.


Cheers,

Michael
[interdiff (text/plain, attachment)]

Added tag(s) patch. Request was from Michael Banck <mbanck@debian.org> to control@bugs.debian.org. (Fri, 27 Nov 2009 23:21:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Michael Banck <mbanck@debian.org> to control@bugs.debian.org. (Fri, 27 Nov 2009 23:21:05 GMT) Full text and rfc822 format available.

Reply sent to Michael Banck <mbanck@debian.org>:
You have taken responsibility. (Sun, 29 Nov 2009 10:21:14 GMT) Full text and rfc822 format available.

Notification sent to Manoj Srivastava <srivasta@debian.org>:
Bug acknowledged by developer. (Sun, 29 Nov 2009 10:21:14 GMT) Full text and rfc822 format available.

Message #27 received at 553431-close@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: 553431-close@bugs.debian.org
Subject: Bug#553431: fixed in mecab-cannadic 0.94h-2.1
Date: Sun, 29 Nov 2009 10:17:14 +0000
Source: mecab-cannadic
Source-Version: 0.94h-2.1

We believe that the bug you reported is fixed in the latest version of
mecab-cannadic, which is due to be installed in the Debian FTP archive:

chasen-cannadic_0.94h-2.1_i386.deb
  to main/m/mecab-cannadic/chasen-cannadic_0.94h-2.1_i386.deb
mecab-cannadic_0.94h-2.1.diff.gz
  to main/m/mecab-cannadic/mecab-cannadic_0.94h-2.1.diff.gz
mecab-cannadic_0.94h-2.1.dsc
  to main/m/mecab-cannadic/mecab-cannadic_0.94h-2.1.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 553431@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Banck <mbanck@debian.org> (supplier of updated mecab-cannadic package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Sat, 28 Nov 2009 00:12:12 +0100
Source: mecab-cannadic
Binary: chasen-cannadic
Architecture: source i386
Version: 0.94h-2.1
Distribution: unstable
Urgency: low
Maintainer: NOKUBI Takatsugu <knok@daionet.gr.jp>
Changed-By: Michael Banck <mbanck@debian.org>
Description: 
 chasen-cannadic - a Japanese dictionary for ChaSen derived from Canna dictionary
Closes: 553431
Changes: 
 mecab-cannadic (0.94h-2.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * debian/copyright: Added license boilerplate and fixed link to GPL text,
     closes: #553431
Checksums-Sha1: 
 1bd4df4022935f9883ae1e70fe86e9cc0e1cc864 1033 mecab-cannadic_0.94h-2.1.dsc
 10ccb100fcc00fb6f4478cc48a6f72a7e2a64062 3129 mecab-cannadic_0.94h-2.1.diff.gz
 15fc382d62cdf9636ff061081ab6e4d412ad9429 4220196 chasen-cannadic_0.94h-2.1_i386.deb
Checksums-Sha256: 
 a251e5ee08d30d502ecfec4c0f10cfbe4ca6b313251562e783f1604e4fe9dfb7 1033 mecab-cannadic_0.94h-2.1.dsc
 5db10cfdc73defdd5dc14fc178741df4d13ce9c138ea6c4ec781b25b3b43a281 3129 mecab-cannadic_0.94h-2.1.diff.gz
 152d357f7d3bd8cce213994c43927c5098aa9c8f8a363d65fb3848fc4c8186cf 4220196 chasen-cannadic_0.94h-2.1_i386.deb
Files: 
 a2804a838432713780cbc573cb572406 1033 misc optional mecab-cannadic_0.94h-2.1.dsc
 e8920216f866e4437bc8d7bdc20f7bdf 3129 misc optional mecab-cannadic_0.94h-2.1.diff.gz
 30fc2278f9e4937986cc79b02d2ceaea 4220196 misc optional chasen-cannadic_0.94h-2.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFLEkc8mHaJYZ7RAb8RA7ILAJ9FioMnx6cYfcmxeK+BqqQ62Q1XSACgzHmh
+AuWlj8mwUr3O0jhcvPATrQ=
=cMj7
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 28 Dec 2009 07:30:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 14:30:27 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.